Consultar assinatura
Utilizando o token único da assinatura, faça uma requisição para o endpoint abaixo, retornando as informações:
GET /api/v1/subscriber/{token}Parâmetros da requisição
Seção intitulada “Parâmetros da requisição”| Name | Type | Description |
|---|---|---|
| token* | String | Token único de identificação da assinatura. |
Respostas
Seção intitulada “Respostas”{ "success": true, "data": { "token": "8750f9c5-4e3a-4d59-be25-657cff0e9a34", "status": "subscriber_active", "link_to_pay": null, "customer": { "token": "68b75988-a3a9-4951-8325-eb81026f822a", "email": "carlos46@example.com", "telephone": "958896971" }, "subscription": { "from": "2022-06-01", "to": "2022-07-01", "next_charge": "2022-07-01" }, "checkout": { "slug": "plano-one", "title": "Checkout Software SaaS", "total": "99.00" }, "payment": { "method": "credit", "card": { "brand": "Visa", "last_digits": "1111", "token": "442396aabaac8ad29ceb41a18a8d8070f8abf653" } }, "created_at": "2022-06-01 19:40:55" }}Caso a assinatura não seja localizada no sistema.
{ "hasError": true, "response": "Not found"}{ "hasError": true, "response": "Too many requests."}{ "hasError": true, "response": "Error on server, try again."}